ONVIF::Device::Types::NetworkInterfaceLink(3)

NAME
ONVIF::Device::Types::NetworkInterfaceLink

DESCRIPTION
Perl data type class for the XML Schema defined complexType NetworkInterfaceLink from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AdminSettings

•   OperSettings

•   InterfaceType

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::NetworkInterfaceLink
   AdminSettings =>  { # ONVIF::Device::Types::NetworkInterfaceConnectionSetting
     AutoNegotiation =>  $some_value, # boolean
     Speed =>  $some_value, # int
     Duplex => $some_value, # Duplex
   },
   OperSettings =>  { # ONVIF::Device::Types::NetworkInterfaceConnectionSetting
     AutoNegotiation =>  $some_value, # boolean
     Speed =>  $some_value, # int
     Duplex => $some_value, # Duplex
   },
   InterfaceType => $some_value, # IANA-IfTypes
 },

AUTHOR
Generated by SOAP::WSDL